Image reader can't read URL
Description

In ptolemy.actor.lib.image.ImageReader
replace
_image = new Imagelcon(_fileRoot).getimage();

with:

try {

_image = ImagelO.read(_url);

} catch (IOException e) {

throw new lllegalActionException(this,e.toString());
}
if(l_image) {

throw new lllegalActionException(this,"Could not read file or URL: "+_url.toString());

}

History

#1 - 06/02/2009 10:08 AM - Chris Weed

| just noticed URLTolmage is similar to what | want. | guess my confusion was that the parameter in FileReader is fileOrUrl, but doesn't seem to work
with a normal URL.

#2 - 06/02/2009 10:10 AM - Chris Weed

I meant "ImageReader" instead of "FileReader" in my comment

#3 - 06/02/2009 12:31 PM - Christopher Brooks

Fixed!

ImageReader is a very old actor, written in 2001.

The fileOrURL parameter was changed to a FileParameter in 2003.
| added a test for reading a URL via http:

Note that to get the change to the ptll tree today, you will need
to run some sort of ant command.

#4 - 03/27/2013 02:25 PM - Redmine Admin
Original Bugzilla ID was 4123
